Page MenuHomePhabricator

Implement a Google Cloud Vision labeling provider handler
Closed, ResolvedPublic

Description

We need a handler for Google Cloud Vision's image labeling API. Note that there is an official client library that we should probably use:

https://cloud.google.com/vision/docs/libraries#client-libraries-install-php

Related:
https://cloud.google.com/vision/docs/detecting-labels
https://cloud.google.com/vision/docs/supported-files

Note that ultimately this will have to deal with the Google->Wikidata concept mapping that is yet to be created (T229678). Still, we can get the basic pieces in place now.

Event Timeline

Mholloway created this task.Aug 2 2019, 3:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2019, 3:45 PM
Mholloway triaged this task as Medium priority.Aug 2 2019, 3:45 PM
Mholloway updated the task description. (Show Details)Aug 2 2019, 3:51 PM
Mholloway updated the task description. (Show Details)Aug 2 2019, 7:42 PM
Mholloway updated the task description. (Show Details)

From https://cloud.google.com/vision/docs/detecting-labels:

Note: Cloud Vision now supports offline asynchronous batch image annotation for all features. This asynchronous request supports up to 2000 image files and returns response JSON files that are stored in your Google Cloud Storage bucket. For more information about this feature, refer to Offline batch image annotation.

@Ramsey-WMF Do we have an org-level Cloud Storage bucket? This is probably the optimal way to go.

Mholloway raised the priority of this task from Medium to High.Aug 19 2019, 10:05 PM

Change 531514 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[mediawiki/extensions/MachineVision@master] Implement Google Cloud Vision label request handler

https://gerrit.wikimedia.org/r/531514

Change 531514 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Implement Google Cloud Vision label request handler

https://gerrit.wikimedia.org/r/531514

Mholloway moved this task from In development to Done on the MachineVision board.Aug 23 2019, 5:33 PM
Mholloway closed this task as Resolved.Aug 23 2019, 5:39 PM